Java Strikes Again - "Login Error: java.io.IOException: Invalid Http response"

Unanswered Question
Oct 17th, 2013
User Badges:
  • Cisco Employee,

Just a heads up - Java 7 Update 45 has problems and breaks UCSM launching successfully.


You may see one of two errors:


Login Error: java.io.IOException: Invalid Http response


Login Error: java.io.IOException: Server returned HTTP response code: 400 for URL:  http://x.x.x.x:443/nuova


Temporary Workaround: Rollback Java 7 to Update 25 or lower.  A UCSM patch will be released eventually to address this.


Cisco Bug ID: CSCuj84421


Regards,


Robert

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4.8 (9 ratings)
Loading.
William Gurling Thu, 10/17/2013 - 12:18
User Badges:

Just had this happen in one of our environments, idk if it was a different cause but we got around it by browsing to http:// instead of https:// to get to and launch UCSM.

Zhe Li Sun, 10/27/2013 - 07:13
User Badges:

I got same problem with OSX10.9 Java7u45, and I rollback to Java1.6.0_65, and it still dosnt work.

loizosko Fri, 11/22/2013 - 19:51
User Badges:

Cisco is about time to move away from Java. most of the times there is a java update some cisco application won't work.

is any Cisco developer reading these forums?

Victor Aranda Mon, 12/09/2013 - 16:36
User Badges:

Happened to us too, on multiple machines. Rolling back Java did fix it.

kelmcilroy Tue, 12/10/2013 - 17:02
User Badges:

Does this imply that a patch for 2.1. is forthcoming?  This is affecting our 2.1(3a) environment as well.

Robert Burns Wed, 11/19/2014 - 12:22
User Badges:
  • Cisco Employee,

Yes, developers read these forums.  UCSM 3.x will be HTML5 based.  Java is on the way out.

 

Robert

Manuel Velasco Tue, 12/10/2013 - 16:01
User Badges:
  • Cisco Employee,

Hi All,


Just wanted to let you know that there is an new patch for the 2.0 release that includes the fix to the java issue.


CSCuj84421: Java 7 Update 45 breaks UCS Manager GUI


The Patch version is 2.0(5f)


Cisco Download page

http://software.cisco.com/download/release.html?mdfid=283853163&softwareid=283655681&release=2.0(5f)&relind=AVAILABLE&rellifecycle=&reltype=latest


Release notes for UCS 2.0

http://www.cisco.com/en/US/docs/unified_computing/ucs/release/notes/OL_25363.html

deepakjprabhu Tue, 12/10/2013 - 19:39
User Badges:

Has anyone tried "thinapp'ing" the UCS manager + matching Java version? I manage multiple clients with different UCS versions ( 1.4, 2.0 , 2.1)and switching between Java 6 & 7 is a hassle.

Ignacio Orozco Thu, 12/12/2013 - 22:10
User Badges:
  • Cisco Employee,

This workaround is not secure as everything will be sent in clear text.  This will extend threat surface of your UCS environment to anyone or anything on your network.

loizosko Thu, 12/12/2013 - 22:17
User Badges:

also there is a ucs update that addresses the issue.

it was just released


if your packet will be sniffed inside your network then you have bigger issues to worry.


till the upgrade, the workarround works fine.

till next java release and here we go again.

tbrzywcz Fri, 12/13/2013 - 03:36
User Badges:

Hi,


number of my customers reporting same problem, Java 7 update 45 seems to be "unlucky" build. You can solve the problem by uninstalling update 45 and installing java 7 update 25.


Cheers,

-T.

Keny Perez Fri, 12/13/2013 - 06:44
User Badges:
  • Blue, 1500 points or more

Tomek,


UCSM 2.2 was released yesterday and it addresses the issue.



-Kenny

Boudewijn Plomp Sat, 12/14/2013 - 04:11
User Badges:

Just started updating from 2.1(3a) to 2.2(1b). Java Update 47 is now supported. But run into big issues after updating the first Fabric Interconnect! created a support case 5 minutes ago.


EDIT: Problem solved (work-around). I know it is off-topic, but worth to share. If you have configure another line-rate setting in your QoS policies you might run into numerous failures when you update you first FI to 2.2(1b). Once I set my the QoS policies settings back to 'line-rate' everthing started working again. This is just a quick reminder for those who want to get rid of the Java incompatibility and start updating.

james21970 Wed, 01/15/2014 - 10:40
User Badges:

All,


We are running 2.1.1f in 4 seperate domains, and can successfully log into them with 7 U45, but have noticed that if the http is redirected to https, the login will fail. You can change this under Admin (filter All) communication management > comminication services from witin the GUI, or at the CLI under scope system > scope services disable http-redirect

Joshua Henry Thu, 02/20/2014 - 13:28
User Badges:

uninstalling java 1.7 entirely fixed this issue for me, but i agree, Cisco needs to stop using Java for their interfaces. you can get the same level of dynamics in a console that uses no java at all, just look at F5.

Patrick Devine Wed, 11/19/2014 - 12:20
User Badges:

So the UCS system I am trying to connect to is on 2.1(3a) and I am running Java 8.20 and receive this message:

 

Login Error:
java.io.IOException: Server returned HHTP response code:
400 for URL: http://xxx.xxx.xxx.xxx:443/nuova

 

Do you have to reboot UCS to recover?

 

What is the newest Java version that UCSM will work with?

 

.....and please hurry up and get the HTML5 version out!

Patrick Devine Thu, 11/20/2014 - 08:05
User Badges:

Thnx Kenny.....I went to the 7U25 version mentioned below and was able to access the system.....it is painful to have change versions depending on which Cisco application you are trying to access.....Can't wait for them to get rid of Java for UCSM.

Keny Perez Thu, 11/20/2014 - 08:32
User Badges:
  • Blue, 1500 points or more

Yes, Robert just mentioned that    :)  

 

"Yes, developers read these forums.  UCSM 3.x will be HTML5 based.  Java is on the way out.

Robert"

 

-Kenny

Actions

This Discussion

Related Content